Bug 170118 - X server hangs on logout
X server hangs on logout
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-07 10:45 EDT by Bruce Bigby
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 17:50:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Bigby 2005-10-07 10:45:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20040323 Galeon/1.3.7

Description of problem:
When I login to my FC4 system, using a GNOME desktop, if I allow the session to remain active for a decent while -- say an hour or more -- when I attempt to logout, the desktop hangs.  I have to press CTRL-ALT-BACKSPACE to kill the X server.  If gdm doesn't die and I am able to relogin again, if I attempt to logout again, the system hangs again.  The system doesn't stop hanging until I login as root to change to run-level 3 and back to 5.  Then, when I login, and immediately logout, GNOME is able to sucessfully logout.  However, again, if I allow the session to remain active for a while -- about an hour or more -- again, when I attempt to logout, the desktop hangs.  A CTRL-ALT-BACKSPACE breaks the hang.  Note: I also see this problem on FC3.  In fact, 

Version-Release number of selected component (if applicable):
xorg-x11-6.8.2-37.FC4.49.2

How reproducible:
Always

Steps to Reproduce:
1. Login to a GNOME session.  Allow the session to remain active for an hour or more.
2. Attempt to logout.
  

Actual Results:  The session hangs.  No input will force the session to quit, except CTRL-ALT-BACKSPACE or rebooting.

Expected Results:  The session should not hang.

Additional info:

Note: I have 3 machines where I have observed these hangs on logout problems.  Two are FC4 systems and one is a FC3 system.  The software on each of the systems is current as of the submission date of this problem report.  All are using stock video card drivers, except one.

Machine1: FC3, NVidia acclerated driver.
Machine2: FC4, Stock FC4 NVidia driver.
Machine3: FC4, Stock FC4 Sis video driver.

Although I have not filed a bug report against FC3, this bug report should be filed against FC3 as well.  This problem didn't always occur in FC3. It didn't start occuring until I had updated all of my FC3 to the last updates at one point.  Something broke in that time.
Comment 1 Pedro Ferreira 2006-02-09 05:37:18 EST
I'm also having this problem and I don't need to wait for it to happen.
Even if I start in run level 3, make a startx and then kill the X server with a
ctrl alt backspace it hangs the PC, I need to hit the power button (no reset
button on this PC :-|)

PC: HP compaq dc5100MT
CPU: Intel Pentium 4 2.8GHz
RAM: 512Mb
video: on board Intel 82915G/GV/910GL with default install driver (Intel 915)
SATA hard disk
xorg-x11-6.8.2-31
kernel-smp-2.6.11-1.1369_FC4 (x86_64)

I'll try to recompile the kernel and see if it solves the problem...
Comment 2 Mike A. Harris 2006-03-08 06:31:38 EST
If this issue turns out to still be reproduceable in the latest
updates for this Fedora Core release, please file a bug report
in the X.Org bugzilla located at http://bugs.freedesktop.org in
the "xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", and awaiting upstream
bug report URL for tracking.

Thanks in advance.
Comment 3 Mike A. Harris 2006-05-18 17:50:46 EDT
Closing bug due to insufficient data.  If this problem is still present in
Fedora Core 5, with all available updates applied, please file a bug report
in X.Org bugzilla at http://bugs.freedesktop.org in the "xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.